classification
Title: improve test coverage for TracebackException's __eq__
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: iritkatriel Nosy List: gvanrossum, iritkatriel
Priority: normal Keywords: patch

Created on 2020-11-26 17:27 by iritkatriel, last changed 2020-11-30 01:41 by gvanrossum. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23522 merged iritkatriel, 2020-11-26 17:33
PR 23557 merged iritkatriel, 2020-11-29 16:33
PR 23558 merged iritkatriel, 2020-11-29 16:43
Messages (7)
msg381906 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-11-26 17:27
Currently there are no tests for comparison between non-equal instances of traceback.TracebackException, so changing it's __eq__ to return True instead of self.__dict__ == other.__dict__ would not break any tests.
msg381955 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-11-27 16:39
New changeset 44ca05afc89c9967f5dbc6c3ad89fc298c460e93 by Irit Katriel in branch 'master':
bpo-42474: test TracebackException comparison to non-equal instances (GH-23522)
https://github.com/python/cpython/commit/44ca05afc89c9967f5dbc6c3ad89fc298c460e93
msg382074 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-11-29 15:22
Irit, can you,do the manual backports?
msg382076 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-11-29 16:36
Yes.

I haven't managed to get the cherry-picker script working for me yet so this is a manual cherry-pick. 

I'm surprised the automatic backport failed - there was no merge conflict.
msg382104 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-11-30 01:40
New changeset 586bdd1add2ca7236e3096ab7167862cf17f0939 by Irit Katriel in branch '3.9':
[3.9] bpo-42474: test TracebackException comparison to non-equal instances (GH-23557)
https://github.com/python/cpython/commit/586bdd1add2ca7236e3096ab7167862cf17f0939
msg382105 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-11-30 01:41
New changeset d82e08d185d52086f4d921c08b853c76c80bebbe by Irit Katriel in branch '3.8':
[3.8] bpo-42474: test TracebackException comparison to non-equal instances (GH-23558)
https://github.com/python/cpython/commit/d82e08d185d52086f4d921c08b853c76c80bebbe
msg382106 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-11-30 01:41
Thanks!
History
Date User Action Args
2020-11-30 01:41:49gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg382106

stage: patch review -> resolved
2020-11-30 01:41:28gvanrossumsetmessages: + msg382105
2020-11-30 01:40:54gvanrossumsetmessages: + msg382104
2020-11-29 16:43:10iritkatrielsetpull_requests: + pull_request22440
2020-11-29 16:36:03iritkatrielsetmessages: + msg382076
2020-11-29 16:33:53iritkatrielsetpull_requests: + pull_request22439
2020-11-29 15:22:52gvanrossumsetmessages: + msg382074
2020-11-27 16:39:14gvanrossumsetnosy: + gvanrossum
messages: + msg381955
2020-11-26 17:33:20iritkatrielsetkeywords: + patch
stage: patch review
pull_requests: + pull_request22406
2020-11-26 17:27:40iritkatrielcreate